%define upstream_name    Gtk3-ImageView
%define upstream_version 4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Image viewer widget for Gtk3
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Gtk3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Always)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires:  x11-server-xvfb
BuildArch: noarch

%description
The Gtk3::ImageView widget allows the user to zoom, pan and select the
specified image and provides hooks to allow additional tools, e.g. painter,
to be created and used.

Gtk3::ImageView is a Gtk3 port of Gtk2::ImageView.

To discuss Gtk3::ImageView or gtk3-perl, ask questions and flame/praise the
authors, join gtk-perl-list@gnome.org at lists.gnome.org.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
xvfb-run -a %make_build test

%install
%make_install

%files
%doc META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Mar 12 2021 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1701634
- import perl-Gtk3-ImageView for mga7 branch (needed for gscan2pdf)

* Wed Nov 11 2020 tv <tv> 4.0.0-1.mga8
+ Revision: 1644457
- imported package perl-Gtk3-ImageView


* Wed Nov 11 2020 cpan2dist 4-1mga
- initial mageia release, generated with cpan2dist
